﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace CustomTableBordersDialog
{
    public class DialogFooter : ContentControl
    {
        #region Constructors

        internal virtual void SetDefaultStyleKey()
        {
            Theme theme = StyleManager.GetTheme(this);
            this.DefaultStyleKey = ThemeResourceKey.GetDefaultStyleKey(theme, typeof(DialogFooter));
        }

        protected override void OnInitialized(EventArgs e)
        {
            base.OnInitialized(e);
            StyleManager.SetDefaultStyleKey(this, typeof(DialogFooter));
        }

        static DialogFooter()
        {
            DefaultStyleKeyProperty.OverrideMetadata(typeof(DialogFooter), new FrameworkPropertyMetadata(typeof(DialogFooter)));
        }

        public DialogFooter()
        {
        }

        #endregion
    }
}
